<template>
	<view class="listbg">
		<img class="listtop" src="https://ikea-mrm.woaap.com/images/listtop1.png" />
		<img class="text" @click="isfade = true" src="https://ikea-mrm.woaap.com/images/text.png" />
		<view class="listbox" id="listbox" :style="{ height: listH + 'px' }">
			<view class="scrollbar"><view class="bar" :style="{ top: top + 'rpx' }"></view></view>
			<view class="underway" id="underway">
				<view class="tunderway t-black">
					畅玩游戏释放爱玩天性，还有
					<text class="t-blue">爱心勋章</text>
					等你点亮
				</view>
				<view class="tunderway  t-blue">正在进行</view>
				<view class="chapter-item" @click="goStory">
					<img v-if="!u5" src="https://ikea-mrm.woaap.com/images/chapter-05-ongoing.png" />
					<!-- <img  src="https://ikea-mrm.woaap.com/images/chapter-01-ongoing.png" /> -->
					<!-- <img v-if="u1" src="https://ikea-mrm.woaap.com/images/chapter-01-done.png" /> -->
					<img v-if="u5" src="https://ikea-mrm.woaap.com/images/chapter-05-done.png" />
				</view>
				<view class="tunderway t-black">全部活动</view>
			</view>

			<scroll-view scroll-y="true" @scroll="scroll" class="chapter" :style="{ height: scrollH + 'px' }">
				<view class="chapter-item" @click="goMask">
					<img v-if="false" src="https://ikea-mrm.woaap.com/images/chapter-01-notstart.png" />
					<img v-if="!u1" src="https://ikea-mrm.woaap.com/images/chapter-01-ongoing.png" />
					<img v-if="u1" src="https://ikea-mrm.woaap.com/images/chapter-01-done.png" />
				</view>
				<view class="chapter-item" @click="goPaint">
					<img v-if="false" src="https://ikea-mrm.woaap.com/images/chapter-02-notstart.png" />
					<img v-if="!u2" src="https://ikea-mrm.woaap.com/images/chapter-02-ongoing.png" />
					<img v-if="u2" src="https://ikea-mrm.woaap.com/images/chapter-02-done.png" />
				</view>
				<view class="chapter-item" @click="goDiy">
					<img v-if="false" src="https://ikea-mrm.woaap.com/images/chapter-03-notstart.png" />
					<img v-if="!u3" src="https://ikea-mrm.woaap.com/images/chapter-03-ongoing.png" />
					<img v-if="u3" src="https://ikea-mrm.woaap.com/images/chapter-03-done.png" />
				</view>
				<view class="chapter-item" @click="goMusic">
					<img v-if="false" src="https://ikea-mrm.woaap.com/images/chapter-04-notstart.png" />
					<img v-if="!u4" src="https://ikea-mrm.woaap.com/images/chapter-04-ongoing.png" />
					<img v-if="u4" src="https://ikea-mrm.woaap.com/images/chapter-04-done.png" />
				</view>
				<view class="chapter-item" @click="goStory">
					<img v-if="false" src="https://ikea-mrm.woaap.com/images/chapter-05-notstart.png" />
					<img v-if="!u5" src="https://ikea-mrm.woaap.com/images/chapter-05-ongoing.png" />
					<img v-if="u5" src="https://ikea-mrm.woaap.com/images/chapter-05-done.png" />
				</view>
				<view class="chapter-item">
					<img src="https://ikea-mrm.woaap.com/images/chapter-06-notstart.png" />
				</view>
			</scroll-view>
		</view>
		<view class="popup" v-if="isfade" :class="{ fadein: isfade }">
			<view class="popmain">
				<img class="close" @click="isfade = false" src="https://ikea-mrm.woaap.com/images/close.png" />
				<img class="hdsmtext" src="https://ikea-mrm.woaap.com/images/hdsmtext.png" />
				<scroll-view scroll-y="true" class="hdsmbox"><img class="hdsm" src="https://ikea-mrm.woaap.com/images/hdsm2.png" /></scroll-view>
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			MT: '',
			listH: '',
			isfade: false,
			top: 0,
			underway: '',
			scrollH: '',
			gameInfo: '',
			u1: false,
			u2: false,
			u3: false,
			u4: false,
			u5: false
		};
	},
	onShareAppMessage: function(res) {
		return {
			title: '宜家PLAY护照 限时申领中',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_passport.jpg'
		};
	},
	onShow() {
		getApp().td_app_sdk.event({
			id: 'meiyuehuodongye',
			label: 'pv',
			params: {}
		});
	},
	methods: {
		scroll(event) {
			let sct = event.detail.scrollTop;
			if (sct < 0) sct = 0;
			if (sct > event.detail.scrollHeight - this.scrollH) sct = event.detail.scrollHeight - this.scrollH;
			// console.log(event.detail.scrollTop ,'****',(event.detail.scrollHeight - this.scrollH))
			this.top = (sct * 300) / (event.detail.scrollHeight - this.scrollH);
		},
		goMask() {
			getApp().td_app_sdk.event({
				id: '第一章打卡',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/mask/home'
			});
		},
		goPaint() {
			getApp().td_app_sdk.event({
				id: '第二章打卡',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/paint/home'
			});
		},
		goDiy() {
			getApp().td_app_sdk.event({
				id: '第三章打卡',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/diy/home'
			});
		},
		goMusic() {
			getApp().td_app_sdk.event({
				id: '第四章打卡',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/music/home'
			});
		},
		goStory() {
			getApp().td_app_sdk.event({
				id: '第五章打卡',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/dreamstory/index'
			});
		}
	},
	onLoad() {
		this.gameInfo = wx.getStorageSync('gameInfo');
		this.medals = this.gameInfo.medals;
		console.log('medals === ', this.medals);
		if (this.medals.medal_mask) {
			this.u1 = true;
		}
		if (this.medals.medal_paint) {
			this.u2 = true;
		}
		if (this.medals.medal_diy) {
			this.u3 = true;
		}
		if (this.medals.medal_music) {
			this.u4 = true;
		}
		if (this.medals.medal_story) {
			this.u5 = true;
		}
		// console.log(getApp().globalData.windowHeight)
		let listbox = uni.createSelectorQuery().select('#listbox');
		let chapterItem = uni.createSelectorQuery().select('#chapter-item');
		let underway = uni.createSelectorQuery().select('#underway');
		listbox
			.boundingClientRect(res => {
				this.MT = res.top;
			})
			.exec(() => {
				this.listH = getApp().globalData.windowHeight - this.MT;
				console.log(this.listH);
				underway
					.boundingClientRect(ures => {
						this.underway = ures;
						console.log(ures);
					})
					.exec(() => {
						this.scrollH = this.listH - this.underway.height;
					});
			});
	}
};
</script>

<style lang="less">
.t-blue {
	font-size: 26rpx;
	font-weight: 700;
	color: #0c5aa1;
}
.t-black {
	font-size: 26rpx;
	font-weight: 700;
	color: #000000;
}
.tunderway {
	width: 670upx;
	text-align: left;
	margin: 20rpx 0 0 30rpx;
}
.popup {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(#000000, 0.8);
	display: flex;
	justify-content: center;
	align-items: center;
	.popmain {
		width: 654upx;
		height: 947upx;
		background: #feda31;
		border-radius: 40upx;
		position: relative;
		display: flex;
		justify-content: space-between;
		align-items: center;
		flex-direction: column;
		.close {
			position: absolute;
			top: 30upx;
			right: 30upx;
			width: 40upx;
			height: 40upx;
		}
		.hdsmtext {
			width: 187rpx;
			height: 45rpx;
			margin-top: 75rpx;
		}
		.hdsmbox {
			width: 100%;
			height: 790upx;
			margin-bottom: 10rpx;
			.hdsm {
				width: 565rpx;
				height: 1294rpx;
			}
		}
	}
}
.scroll {
	overflow: scroll;
}
.chapter-item {
	width: 670upx;
	height: 210upx;
	margin: 10upx auto;
	box-sizing: border-box;
	img {
		width: 100%;
		height: 100%;
	}
}
.listbg {
	width: 100%;
	height: 1040upx;
	background: #fed931;
	text-align: center;
	position: relative;
	.listtop {
		width: 667upx;
		height: 195upx;
		margin-bottom: 30upx;
		margin-top: 60upx;
	}
	.text {
		width: 95upx;
		height: 30upx;
		position: absolute;
		top: 230upx;
		left: 610upx;
	}
	.listbox {
		width: 100%;
		background: #f8f8f8;
		border-top-right-radius: 60upx;
		border-top-left-radius: 60upx;
		display: flex;
		flex-direction: column;
		align-items: center;
		position: relative;
		overflow-x: hidden;

		.underway {
			width: 670upx;
			height: 410rpx;
			position: relative;
			text-align: left;
			padding-top: 20rpx;
			box-sizing: border-box;
			.listtitle {
				width: 549upx;
				height: 28upx;
				margin-top: 46upx;
				margin-left: 30rpx;
			}
		}
		.scrollbar {
			width: 6upx;
			height: 450rpx;
			background: #ffffff;
			position: absolute;
			right: 25upx;
			bottom: 10%;
			.bar {
				width: 6upx;
				height: 150rpx;
				background: #fed931;
				position: absolute;
				left: 0;
				top: 0;
			}
		}
		.chapter {
			width: 120%;
			position: absolute;
			bottom: 0;
			left: 50%;
			transform: translate(-50%, 0);
			box-sizing: border-box;
			overflow-y: scroll;
		}
	}
}
</style>
